Download Report
curl --request GET \
--url https://api.mindfort.app/v1/reports/{report_id}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mindfort.app/v1/reports/{report_id}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mindfort.app/v1/reports/{report_id}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mindfort.app/v1/reports/{report_id}/download"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"download_url": "<string>",
"report_name": "<string>",
"expires_in": 123
}{
"error": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"request_id": "<string>"
}Reports
Download Report
GET
/
v1
/
reports
/
{report_id}
/
download
Download Report
curl --request GET \
--url https://api.mindfort.app/v1/reports/{report_id}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mindfort.app/v1/reports/{report_id}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mindfort.app/v1/reports/{report_id}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mindfort.app/v1/reports/{report_id}/download"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"download_url": "<string>",
"report_name": "<string>",
"expires_in": 123
}{
"error": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"request_id": "<string>"
}Required API key permission:
reports:read.Authorizations
API key generated from the MindFort dashboard. Pass as Authorization: Bearer <your-api-key>.
Path Parameters
Report UUID
Was this page helpful?
⌘I